import { Page } from "puppeteer";
/**
 * Injects and initializes the element detector in the page
 * @param page The Puppeteer page to initialize the detector on
 * @param options Configuration options for the detector
 */
export declare function initializeElementDetector(page: Page, options?: {
    focusOnConsent?: boolean;
    includeFormInputs?: boolean;
    highlightAllText?: boolean;
}): Promise<void>;
